# FormatOctal
<span class="source-link">[[Source]](src/format/format_spec.md#L8)</span>
```pony
primitive val FormatOctal is
  FormatSpec val
```

#### Implements

* [FormatSpec](format-FormatSpec) val

---

## Constructors

### create
<span class="source-link">[[Source]](src/format/format_spec.md#L8)</span>


```pony
new val create()
: FormatOctal val^
```

#### Returns

* [FormatOctal](format-FormatOctal) val^

---

## Public Functions

### eq
<span class="source-link">[[Source]](src/format/format_spec.md#L9)</span>


```pony
fun box eq(
  that: FormatOctal val)
: Bool val
```
#### Parameters

*   that: [FormatOctal](format-FormatOctal) val

#### Returns

* [Bool](builtin-Bool) val

---

### ne
<span class="source-link">[[Source]](src/format/format_spec.md#L9)</span>


```pony
fun box ne(
  that: FormatOctal val)
: Bool val
```
#### Parameters

*   that: [FormatOctal](format-FormatOctal) val

#### Returns

* [Bool](builtin-Bool) val

---

